Bug 496158 - Show Dashboard (Ctrl-F12) is slow
Show Dashboard (Ctrl-F12) is slow
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 17:20 EDT by Daniel Mach
Modified: 2017-05-22 07:39 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:52:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of X process (291.24 KB, text/plain)
2009-05-28 04:50 EDT, Daniel Mach
no flags Details

  None (edit)
Description Daniel Mach 2009-04-16 17:20:42 EDT
When I press Ctrl-F12, it takes about 4 seconds to switch to the Widget Dashboard.
I'd expect it to be as fast as desktop switching.
Comment 1 Jaroslav Reznik 2009-04-17 03:27:01 EDT
Do you have desktop effects on? Gfx driver?
What widgets do you have on the desktop?
Comment 2 Daniel Mach 2009-04-17 04:26:34 EDT
Desktop effects are off.
Driver is radeonhd.
GPU: ATI Technologies Inc Radeon Mobility X1400
xorg.conf is a default config suggested by X -xonfigure.

I have no widgets on the desktop, but it is switched to folder view.
Comment 3 Steven M. Parrish 2009-05-26 15:23:11 EDT
I tried this on my setup with KDE 4.2.3 using the Nvidia drivers and switch was instant.  Is this still an issue?
Comment 4 Daniel Mach 2009-05-27 06:59:19 EDT
Yes, it was the same last time I checked.
Would a strace be helpful?

The problem can be also in xorg or radeonhd driver...
I'll ask Jaroslav to help me with proper diagnostics.
Comment 5 Daniel Mach 2009-05-28 04:42:07 EDT
The problem is definitely in radeonhd driver.
Both vesa and radeon drivers work fine.
Reassigning to xorg-x11-drv-radeonhd component.
Comment 6 Jaroslav Reznik 2009-05-28 04:45:40 EDT
(In reply to comment #4)
> Yes, it was the same last time I checked.
> Would a strace be helpful?
> 
> The problem can be also in xorg or radeonhd driver...
> I'll ask Jaroslav to help me with proper diagnostics.  

Ok, seems like bug somewhere between Plasma & radeonhd. It's OK with vesa and radeon driver (which is the official one for Fedora and you should use it).
Comment 7 Daniel Mach 2009-05-28 04:50:34 EDT
Created attachment 345711 [details]
strace of X process

Strace of X process attached.
Top shows approx. 50% load caused by X when displaying the dashboard.
Comment 8 Bug Zapper 2009-06-09 09:58:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Hans Ulrich Niedermann 2009-07-19 10:27:13 EDT
This issue could be due to miscompiled radeonhd for F11 at the time (no DRI support). The following update fixes that, and might also fix your issue:

https://admin.fedoraproject.org/updates/xorg-x11-drv-radeonhd-1.2.5-2.10.20090714git.fc11
Comment 10 Daniel Mach 2009-08-02 15:36:28 EDT
Since I don't have F11 installed, I can't test it.
But the bug is still present in the latest rawhide package: xorg-x11-drv-radeonhd-1.2.5-2.10.20090714git.fc12
Comment 11 Hans Ulrich Niedermann 2009-08-03 05:01:52 EDT
Just to make sure... you are booting the kernel with the nomodeset parameter?
Comment 12 Daniel Mach 2009-08-03 08:27:38 EDT
(In reply to comment #11)
> Just to make sure... you are booting the kernel with the nomodeset parameter?  

No, I do not use the nomodeset parameter.
Comment 13 Matěj Cepl 2009-11-05 13:26:36 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Chris Campbell 2009-12-06 09:55:13 EST
Daniel, can you still reproduce this bug in the latest rawhide?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Matěj Cepl 2010-02-26 07:27:06 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 16 Bug Zapper 2010-04-27 09:42:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-06-28 07:52:03 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.